#ifndef KTOOLTIP_H
#define KTOOLTIP_H

#include <QLabel>

class QLabel;
class Tooltip : public QWidget
{
public:
    Tooltip(QWidget *parent = nullptr);
    ~Tooltip();

    void setText(const QString &text);
    void popup(Tooltip *kToolTip, const QString &text);
    void tipClose(Tooltip *kToolTip);
protected:
    void paintEvent(QPaintEvent * event);
private:
    QLabel *tipLabel;
};

#endif // KTOOLTIP_H
